Assert.h File Reference

Go to the source code of this file.

## Macros

#define | ESYS_ASSERT(a, b)
| EsysAssert is a MACRO that will throw an exception if the boolean condition specified is false. More...

## Macro Definition Documentation

## ESYS_ASSERT

#define ESYS_ASSERT | ( |  | a,
|  |  | b
| ) |  |

EsysAssert is a MACRO that will throw an exception if the boolean condition specified is false.

Description: EsysAssert is conditionally compiled into code only when DOASSERT is defined. When DOASSERT is not defined, the EsysAssert statement is entirely removed from code.